Package tigase.server.bosh

# Interface BoshSessionTaskHandler

All Known Implementing Classes:
  `BoshConnectionClustered`, `BoshConnectionManager`

public interface BoshSessionTaskHandler
Describe interface BoshSessionTaskHandler here.
Created: Sat Aug 4 10:39:21 2007

Author:
  Artur Hefczyc

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `addOutStreamClosed(Packet packet, BoshSession bs, boolean withTimeout)`
  `boolean`
  `addOutStreamOpen(Packet packet, BoshSession bs)`
  `void`
  `cancelSendQueueTask(BoshSendQueueTask bt)`
  `void`
  `cancelTask(BoshTask bs)`
  `BareJID`
  `getDefHostName()`
  `JID`
  `getJidForBoshSession(BoshSession bs)`
  `Element`
  `getSeeOtherHostError(Packet packet, BareJID destination)`
  `BareJID`
  `getSeeOtherHostForJID(Packet packet, BareJID userId, SeeOtherHostIfc.Phase ph)`
  `boolean`
  `processUndeliveredPacket(Packet packet, Long stamp, String errorMessage)`
  `BoshSendQueueTask`
  `scheduleSendQueueTask(BoshSession tt, long delay)`
  `BoshTask`
  `scheduleTask(BoshSession bs, long delay)`
  `void`
  `writeRawData(BoshIOService ios, String data)`

- ## Method Details

  - ### getJidForBoshSession

    JID getJidForBoshSession(BoshSession bs)

  - ### scheduleTask

    BoshTask scheduleTask(BoshSession bs, long delay)

  - ### scheduleSendQueueTask

    BoshSendQueueTask scheduleSendQueueTask(BoshSession tt, long delay)

  - ### cancelTask

    void cancelTask(BoshTask bs)

  - ### cancelSendQueueTask

    void cancelSendQueueTask(BoshSendQueueTask bt)

  - ### writeRawData

    void writeRawData(BoshIOService ios, String data)

  - ### addOutStreamOpen

    boolean addOutStreamOpen(Packet packet, BoshSession bs)

  - ### addOutStreamClosed

    boolean addOutStreamClosed(Packet packet, BoshSession bs, boolean withTimeout)

  - ### getDefHostName

    BareJID getDefHostName()

  - ### getSeeOtherHostForJID

    BareJID getSeeOtherHostForJID(Packet packet, BareJID userId, SeeOtherHostIfc.Phase ph)

  - ### getSeeOtherHostError

    Element getSeeOtherHostError(Packet packet, BareJID destination)

  - ### processUndeliveredPacket

    boolean processUndeliveredPacket(Packet packet, Long stamp, String errorMessage)